summaryrefslogtreecommitdiffstats
path: root/bin/rdoc
diff options
context:
space:
mode:
authordrbrain <drbrain@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2008-01-07 06:56:46 +0000
committerdrbrain <drbrain@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2008-01-07 06:56:46 +0000
commit53794a2c9862d174f2001fdc9342cf95fa513222 (patch)
tree5e0fb8892ff9555967b61e4ba41d8d4901c2c159 /bin/rdoc
parent6b929e1faae767684a213ea0fec19ea4ad5cc4bd (diff)
downloadruby-53794a2c9862d174f2001fdc9342cf95fa513222.tar.gz
ruby-53794a2c9862d174f2001fdc9342cf95fa513222.tar.xz
ruby-53794a2c9862d174f2001fdc9342cf95fa513222.zip
Convert RDoc to OptionParser, clean up -h output, namespace Options under RDoc.
git-svn-id: http://svn.ruby-lang.org/repos/ruby/trunk@14927 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'bin/rdoc')
-rw-r--r--bin/rdoc10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/rdoc b/bin/rdoc
index 7192db265..0642ec671 100644
--- a/bin/rdoc
+++ b/bin/rdoc
@@ -21,7 +21,7 @@
# search path if necessary.
def adjust_for_existing_rdoc(path)
-
+
$stderr.puts %{
It seems as if you have a previously-installed RDoc in
the directory #{path}.
@@ -44,7 +44,7 @@ def adjust_for_existing_rdoc(path)
end
$:.each do |path|
- if /site_ruby/ =~ path
+ if /site_ruby/ =~ path
rdoc_path = File.join(path, 'rdoc', 'rdoc.rb')
if File.exist?(rdoc_path)
adjust_for_existing_rdoc(path)
@@ -60,8 +60,8 @@ require 'rdoc/rdoc'
begin
r = RDoc::RDoc.new
- r.document(ARGV)
-rescue RDoc::RDocError => e
+ r.document ARGV
+rescue RDoc::Error => e
$stderr.puts e.message
- exit(1)
+ exit 1
end